POST
Sthana Bala part in Shad Bala
The shadbala/sthana-bala API gives Sthana Bala part in Shad Bala of a Planet for a given birth date, time and location.
/shadbala/sthana-bala
Method
POST
Format
JSON
Auth
API Key
Credits
1
Overview
The shadbala/sthana-bala API gives Sthana Bala part in Shad Bala of a Planet for a given birth date, time and location.Request Parameters
| Parameter | Type | Required | Description | Example |
|---|---|---|---|---|
year
|
integer | Yes | Year number, eg: 2023 | 2023 |
month
|
integer | Yes | Month number,with no leading zero | 7 |
date
|
integer | Yes | Day number,with no leading zero | 5 |
hours
|
integer | Yes | Hours number,with no leading zero | 1 |
minutes
|
integer | Yes | Minutes number,with no leading zero | 1 |
seconds
|
integer | Yes | Seconds number, with no leading zero | 0 |
latitude
|
float | Yes | Latitude number, in the range from -90 to 90 | 12.86 |
longitude
|
float | Yes | Longitude number, in the range from -180 to 180 | 123.5 |
timezone
|
float | Yes | Timezone of birth location, eg: 5.5 | 5.5 |
config
|
object | No | Contains optional configuration values | |
ayanamsha
|
string | No | Either "tropical" or "sayana" or "lahiri" | Either "tropical" or "sayana" or "lahiri" |
observation_point
|
string | No | Geocentric positions are calculated with respect to the center of Earth. Topocentric positions are calculated with respect to the actual given place | Either "topocentric" or "geocentric" |
Request Example
{
"year": 1993,
"month": 1,
"date": 22,
"hours": 13,
"minutes": 20,
"seconds": 0,
"latitude": 30.37,
"longitude": 75.86,
"timezone": 5.5,
"config": {
"observation_point": "geocentric",
"ayanamsha": "sayana"
}
}
Response Examples
Example responses returned by this API.
Response
{
"statusCode": 200,
"output": {
"Sun": {
"sthana_bala": 167.17000000000002,
"uchcha": 17.17,
"saptaVargaja": 120.0,
"ojaYugmaRasymsa": 15,
"kendra": 15,
"drekkana": 0,
"rupas": 2.79
},
"Moon": {
"sthana_bala": 206.21,
"uchcha": 48.71,
"saptaVargaja": 52.5,
"ojaYugmaRasymsa": 30,
"kendra": 60,
"drekkana": 15,
"rupas": 3.44
},
"Mars": {
"sthana_bala": 145.31,
"uchcha": 17.81,
"saptaVargaja": 67.5,
"ojaYugmaRasymsa": 0,
"kendra": 60,
"drekkana": 0,
"rupas": 2.42
},
"Mercury": {
"sthana_bala": 161.9,
"uchcha": 53.15,
"saptaVargaja": 78.75,
"ojaYugmaRasymsa": 15,
"kendra": 15,
"drekkana": 0,
"rupas": 2.7
},
"Jupiter": {
"sthana_bala": 158.04,
"uchcha": 34.29,
"saptaVargaja": 63.75,
"ojaYugmaRasymsa": 0,
"kendra": 60,
"drekkana": 0,
"rupas": 2.63
},
"Venus": {
"sthana_bala": 141.815,
"uchcha": 23.69,
"saptaVargaja": 58.125,
"ojaYugmaRasymsa": 30,
"kendra": 30,
"drekkana": 0,
"rupas": 2.36
},
"Saturn": {
"sthana_bala": 243.49,
"uchcha": 25.99,
"saptaVargaja": 172.5,
"ojaYugmaRasymsa": 30,
"kendra": 15,
"drekkana": 0,
"rupas": 4.06
}
}
}
Code Examples
Use the following examples to integrate this API into your application.
PHP Code
<?php
$curl = curl_init();
curl_setopt_array($curl, array(
CURLOPT_URL => 'https://json.freeastrologyapi.com/shadbala/sthana-bala',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => '',
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 0,
CURLOPT_FOLLOWLOCATION => true,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => 'POST',
CURLOPT_POSTFIELDS =>'{
"year": 1993,
"month": 9,
"date": 5,
"hours": 0,
"minutes": 30,
"seconds": 0,
"latitude": 17.3833333,
"longitude": 78.46666,
"timezone": 5.5,
"config": {
"observation_point": "topocentric",
"ayanamsha": "lahiri"
}
}',
CURLOPT_HTTPHEADER => array(
'Content-Type: application/json',
'x-api-key: YOUR_API_KEY_HERE'
),
));
$response = curl_exec($curl);
curl_close($curl);
echo $response;
Python Code
import requests
import json
url = "https://json.freeastrologyapi.com/shadbala/sthana-bala"
payload = json.dumps({
"year": 1993,
"month": 9,
"date": 5,
"hours": 0,
"minutes": 30,
"seconds": 0,
"latitude": 17.3833333,
"longitude": 78.46666,
"timezone": 5.5,
"config": {
"observation_point": "topocentric",
"ayanamsha": "lahiri"
}
})
headers = {
'Content-Type': 'application/json',
'x-api-key': 'YOUR_API_KEY_HERE'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
Node JS Code
var request = require('request');
var options = {
'method': 'POST',
'url': 'https://json.freeastrologyapi.com/shadbala/sthana-bala',
'headers': {
'Content-Type': 'application/json',
'x-api-key': 'YOUR_API_KEY_HERE'
},
body: JSON.stringify({
"year": 1993,
"month": 9,
"date": 5,
"hours": 0,
"minutes": 30,
"seconds": 0,
"latitude": 17.3833333,
"longitude": 78.46666,
"timezone": 5.5,
"config": {
"observation_point": "topocentric",
"ayanamsha": "lahiri"
}
})
};
request(options, function (error, response) {
if (error) throw new Error(error);
console.log(response.body);
});